<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Car/index')}">{:lang('MOUNT_LIST')}</a></li>
			<li class="active"><a >{:lang('EDIT')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Car/editPost')}">
            <div class="form-group">
				<label for="input-name" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name" name="name" value="{$data['name']}">
				</div>
			</div>

            <div class="form-group">
				<label for="input-name_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name_en" name="name_en" value="{$data['name_en']}">
				</div>
			</div>

            <div class="form-group">
				<label for="input-needcoin" class="col-sm-2 control-label"><span class="form-required">*</span>{$configpub.name_coin}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-needcoin" name="needcoin" value="{$data['needcoin']}" maxlength="9" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}">
					<p class="help-block">{:lang('PLEASE_FILL_INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
                    /{:lang('MONTH')}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-score" class="col-sm-2 control-label"><span class="form-required">*</span>{$configpub.name_score}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-score" name="score" value="{$data['score']}" maxlength="9" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}">
					<p class="help-block">{:lang('PLEASE_FILL_INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
                    /{:lang('MONTH')}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IMAGE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="hidden" name="thumb" id="thumbnail" value="{$data['thumb']}">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail');">
                        <if condition="empty($data.thumb)">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        <else/>
                        <img src="{:get_upload_path($data.thumb)}"
                             id="thumbnail-preview"
                             style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        </if>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail" value="{:lang('REMOVE_IMAGE')}"> {:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}
				</div>
			</div>
            
            <div class="form-group" id="">
				<label for="input-swf" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ANIMATION')}（GIF）</label>
				<div class="col-md-6 col-sm-10">
                    <input type="hidden" name="swf" id="thumbnail2" value="{$data['swf']}">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail2');">
                        <if condition="empty($data.swf)">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail2-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        <else/>
                        <img src="{:get_upload_path($data.swf)}"
                             id="thumbnail2-preview"
                             style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        </if>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail2" value="{:lang('REMOVE_IMAGE')}"> {:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-swftime" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ANIMATION_DURATION')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-swftime" name="swftime" value="{$data['swftime']}">{:lang('SECOND_PRECISION_TWO_DECIMALS')}
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-words" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_ENTRANCE_SCRIPT')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-words" name="words" value="{$data['words']}">{:lang('NOTE')}: {:lang('ACTUAL_EFFECT_IS_USER_NICKNAME_PLUS_ENTRANCE_SCRIPT')}
				</div>
			</div>
            
			<div class="form-group">
				<label for="input-words_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_ENTRANCE_SCRIPT')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-words_en" name="words_en" value="{$data['words_en']}">{:lang('NOTE')}: {:lang('ACTUAL_EFFECT_IS_USER_NICKNAME_PLUS_ENTRANCE_SCRIPT')}
				</div>
			</div>

            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<input type="hidden" name="id" value="{$data.id}" />
					<input type="hidden" name="thumb_old" value="{$data.thumb}" />
					<input type="hidden" name="swf_old" value="{$data.swf}" />
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('EDIT')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script type="text/javascript">
        (function(){
            $('.btn-cancel-thumbnail').click(function () {
                $('#thumbnail-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail').val('');
            });
            
            $('.btn-cancel-thumbnail2').click(function () {
                $('#thumbnail2-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail2').val('');
            });
        })()

    </script>
</body>
</html>